Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class LiquidAssetsBallanceHeader 'Pénzeszközök egyenlege
    Inherits BaseObject
    Private _DateExecution As Date 'Teljesítés dátuma
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        DateExecution = GetSQLTime(Session)
    End Sub
    <VisibleInListView(False)> _
    <Association("LiquidAssetsBallanceHeader-LiquidAssetsBallanceRows", GetType(LiquidAssetsBallanceRows))> _
    ReadOnly Property LiquidAssetsBallanceRows As XPCollection(Of LiquidAssetsBallanceRows)
        Get
            Return GetCollection(Of LiquidAssetsBallanceRows)("LiquidAssetsBallanceRows")
        End Get
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
End Class

